Entur Developer
Consents API

Api for creating, fetching, modifying and deleting given consents by clients


GET
https://api.entur.io/customers/v2/consents
/client/given-consents/{givenConsentId}

Find a given consent defined by its id.

Find a given consent. › path Parameters

givenConsentId
​integer · int64 · required · style: simple

Find a given consent. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find a given consent. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

PUT
https://api.entur.io/customers/v2/consents
/client/given-consents/{givenConsentId}

Update a given consent.

Update a given consent. › path Parameters

givenConsentId
​integer · int64 · required · style: simple

Update a given consent. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a given consent. › Request Body

Update a given consent
consentChoice
​boolean · required

Whether this consent has been approved or rejected.

Example: true
expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string

The telephone number country code provided with the consent

Example: +47
email
​string

The contact email provided with the consent.

Example: example@mail.com
fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format with ENT as operator

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

Example: 87654321
toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Update a given consent. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

DELETE
https://api.entur.io/customers/v2/consents
/client/given-consents/{givenConsentId}

Delete a given consent

Delete given consent. › path Parameters

givenConsentId
​integer · int64 · required · style: simple

Delete given consent. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete given consent. › Responses

No Content

No data returned

Bulk update given consents.

PUT
https://api.entur.io/customers/v2/consents
/client/given-consents/bulk

Bulk update given consents for a customer. Adds new given consents or replaces existing given consents for the specified consent IDs. |Consents not included in the request remain unchanged.

Bulk update given consents. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Bulk update given consents. › Request Body

Request to bulk update given consents for a customer. Adds a new given consent or replaces any existing given consent identified by the consent ID.
consentChoice
​boolean · required

Whether this consent has been approved or rejected.

Example: true
consentId
​integer · int64 · required

The id of the consent defining what and to whom the customer has consented.

Example: 12
customerNumber
​integer · int64 · required

The customer number

Example: 123456789
expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string

The telephone number country code provided with the consent

Example: +47
customerRef
​string

Customer reference. Note: If you do not provide a customer ref, the customer number will used as reference.

Example: abcd-1234
email
​string

The contact email provided with the consent.

Example: example@mail.com
fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format with ENT as operator

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

Example: 87654321
toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Bulk update given consents. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Find given consents

GET
https://api.entur.io/customers/v2/consents
/client/given-consents

Find given consents filtered by given query parameters.

Find given consents › query Parameters

originalDatedServiceJourneyIds
​string[] · style: form · explode: true

Search given consents by originalDatedServiceJourneyId (comma separated). Example: originalDatedServiceJourneyIds=ENT:DatedServiceJourney:XXXXX,ENT:DatedServiceJourney:YYYYY

lineRef
​string[] · style: form · explode: true

Search given consents by lineRef (comma separated). Example: lineRef=XXX:Line:YY,XXX:Line:ZZ

stopPlaces
​string[] · style: form · explode: true

Search given consents by stopPlaces (includes start and end stop) (comma separated). Example: stopPlaces=NSR:StopPlace:XXXXX,NSR:StopPlace:YYYY

Find given consents › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find given consents › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

POST
https://api.entur.io/customers/v2/consents
/client/given-consents

Create a given consent.

Create a given consent. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a given consent. › Request Body

Create a given consent for a customer
consentChoice
​boolean · required

Whether this consent has been approved or rejected.

Example: true
consentId
​integer · int64 · required

The id of the consent defining what and to whom the customer has consented.

Example: 12
customerNumber
​integer · int64 · required

Customer number.

Example: 123456789
expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string

The telephone number country code provided with the consent

Example: +47
customerRef
​string

Customer reference. Note: If you do not provide a customer reference, the customer number will used as reference.

Example: abcd-1234
email
​string

The contact email provided with the consent.

Example: example@mail.com
fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format with ENT as operator

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

Example: 87654321
toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Create a given consent. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Find given consents by customer references or customer numbers.

POST
https://api.entur.io/customers/v2/consents
/client/given-consents/get-by/bulk

Find given consents by the provided customer references or customer numbers, filtered by organisation. If both customer number and customer references are provided Bad Request will be returned

Find given consents by customer references or customer numbers. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find given consents by customer references or customer numbers. › Request Body

Request to get given consents for multiple customers by customer numbers or customer references.
customerNumbers
​integer[]

Customer numbers to look up.

customerRefs
​string[]

Customer references to look up.

Find given consents by customer references or customer numbers. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Find all by customer reference.

GET
https://api.entur.io/customers/v2/consents
/client/given-consents/{customerRef}/by-customer-ref

Find all given consents associated with a customer reference.

Find all by customer reference. › path Parameters

customerRef
​string · required · style: simple

Find all by customer reference. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all by customer reference. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Find all by customer number.

GET
https://api.entur.io/customers/v2/consents
/client/given-consents/{customerNumber}/by-customer-number

Find all given consents by a customer number.

Find all by customer number. › path Parameters

customerNumber
​integer · int64 · required · style: simple

Find all by customer number. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all by customer number. › Responses

OK

A consent given for a customer
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentResponse · required

Consent response, includes the consent base

consentChoice
​boolean · required

Whether this consent has been approved or rejected.

consentId
​integer · int64 · required

The id of the consent defining what the customer has consented.

createdAt
​string · date-time · required

When the consent was given. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number. Entur number unique across organisations

distributionChannel
​string · required

Distribution channel through which the consent was given.

expirationDate
​string · date-time · required

When the consent expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Unique id for the given consent.

countryCode
​string

The telephone number country code provided with the consent

customerRef
​string

Customer reference. External reference, unique within an organisation

email
​string

The contact email provided with the consent.

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The telephone number provided with the consent

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Find all consents

GET
https://api.entur.io/customers/v2/consents
/client/consents

Find all consents

Find all consents › query Parameters

organisationIds
​integer[] · style: form · explode: true

Filter consents by organisation ids (comma separated). If you're a partner, this will be filled out from your authentication token. Example: organisationIds=1,20

consentCodes
​string[] · style: form · explode: true

Filter consents by consent base codes (comma separated). Example: consentCodes=ENT_INFO_SMS,ENT_INFO_EMAIL

versions
​string[] · style: form · explode: true

Filter consents by consent base versions (comma separated). You can also use the keywords ALL or CURRENT. |Example: versions=1,2 or versions=CURRENT

Default: ["CURRENT"]
includeInactive
​boolean · style: form · explode: true

Whether or not to include inactive consents (Default: false)

Find all consents › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all consents › Responses

OK

Consent response, includes the consent base
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentBaseResponse · required

Consent base

consentCode
​string · required

Code of the consent base

createdAt
​string · date-time · required

When the consent was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Consent ID.

isEmailSupported
​boolean · required

Whether the organisation supports email as a contact method

isSmsSupported
​boolean · required

Whether the organisation supports SMS as a contact method

organisationId
​integer · int64 · required

The organisation the consent is valid for.

validFrom
​string · date-time

If set, the date the consent is valid from. Can only be set to a date after consent base validFrom. If not set, the consent base is in draft mode.

validTo
​string · date-time

If set, the date the consent is valid to. Set the date to deactivate the consent. Can only be set to a date before the consent base validTo. If not set the consent is active from validFrom and forever after.


GET
https://api.entur.io/customers/v2/consents
/client/consents/{id}

Get a consent by its id.

id
​integer · int64 · required · style: simple

The id of the consent to retrieve

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

OK

Consent response, includes the consent base
changedAt
​string · date-time · required

When the consent was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​ConsentBaseResponse · required

Consent base

consentCode
​string · required

Code of the consent base

createdAt
​string · date-time · required

When the consent was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Consent ID.

isEmailSupported
​boolean · required

Whether the organisation supports email as a contact method

isSmsSupported
​boolean · required

Whether the organisation supports SMS as a contact method

organisationId
​integer · int64 · required

The organisation the consent is valid for.

validFrom
​string · date-time

If set, the date the consent is valid from. Can only be set to a date after consent base validFrom. If not set, the consent base is in draft mode.

validTo
​string · date-time

If set, the date the consent is valid to. Set the date to deactivate the consent. Can only be set to a date before the consent base validTo. If not set the consent is active from validFrom and forever after.


Did you find what you were looking for?